<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:template match="/">
		<html>
			<head>
				<title>Domains</title>
			</head>
			<body>
				<xsl:for-each select="domains/domain">
					<xsl:sort select="name" order="ascending"/>
					<table border="1" width="85%" rules="all" cellpadding="5" cellspacing="2">
						<tbody>
							<tr align="center">
								<th colspan="2" bgcolor="pink">
									<h2>
										<xsl:value-of select="name"/>
									</h2>
								</th>
							</tr>
							<tr align="left">
								<th width="25%" bgcolor="lightblue">Granted Powers:</th>
								<th>
									<xsl:value-of select="granted_powers"/>
								</th>
							</tr>
							<tr align="left">
								<th bgcolor="lightblue">Spells:</th>
								<th>1. <xsl:value-of select="spell_1"/>
									<br/>
									2. <xsl:value-of select="spell_2"/>
									<br/>
									3. <xsl:value-of select="spell_3"/>
									<br/>
									4. <xsl:value-of select="spell_4"/>
									<br/>
									5. <xsl:value-of select="spell_5"/>
									<br/>
									6. <xsl:value-of select="spell_6"/>
									<br/>
									7. <xsl:value-of select="spell_7"/>
									<br/>
									8. <xsl:value-of select="spell_8"/>
									<br/>
									9. <xsl:value-of select="spell_9"/>
								</th>
							</tr>
							<tr align="left">
								<th bgcolor="lightblue">Reference:</th>
								<th>
									<xsl:value-of select="reference"/>
								</th>
							</tr>
						</tbody>
					</table>
					<br/>
					<br/>
				</xsl:for-each>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>
